Bug 5479 - undefined symbol: g_return_if_fail_warning
: undefined symbol: g_return_if_fail_warning
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/beep)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-11-10 22:10 by
Modified: 2005-08-29 00:23 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-11-10 22:10:53
$ beep-media-player
beep-media-player: error while loading shared libraries: beep-media-player: 
undefined symbol: g_return_if_fail_warning
$ rpm -q beep glib2
beep-0.9.7-alt0.6rc2
glib2-2.4.6-alt1

Насколько я понимаю, нужен новый glib2:
http://www.google.ru/search?q=g_return_if_fail_warning
http://cvs.gnome.org/viewcvs/glib/glib/gmessages.h?rev=1.28
wrar@wrars-comp ~ $ grep g_return_if_fail_warning /usr/include/glib-2.0/glib/
gmessages.h
wrar@wrars-comp ~ $

Кроме того, меня смущает фраза про Internal functions в новом gmessages.h перед 
объявлением g_return_if_fail_warning()
------- Comment #1 From 2004-11-10 22:27:15 -------
Надо править beep, g_return_if_fail_warning() теперь только для внутреннего
употребления.
------- Comment #2 From 2004-11-10 22:33:24 -------
Правда, с glib-2.5.4 у меня не воспроизводится :). 
------- Comment #3 From 2004-11-11 08:06:49 -------
В том-то и дело, что на _старом_ glib этого символа _вообще_ нет.
------- Comment #4 From 2004-11-11 08:39:55 -------
Ну обновите glib, gtk. Потом, если потребуется, разберемся.
------- Comment #5 From 2004-11-11 19:39:45 -------
Обновил glib2. Работает.
------- Comment #6 From 2004-11-17 17:16:34 -------
Исправлено в 
$ rpm -q beep
beep-0.9.7-alt0.7rc2
$ rpm -qR beep|grep glib2
glib2 >= 2.5.3
------- Comment #7 From 2005-04-21 08:54:08 -------
Fixed